package com.ssj.service.sys.poster.service;

import java.util.List;
import java.util.Map;

import com.ssj.bean.sys.poster.domain.PosterTemplate;
import com.ssj.framework.core.common.service.BaseService;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

public interface PosterTemplateService extends BaseService<PosterTemplate, String> {
	
	List<PosterTemplate> findPosterTemplateByList();

	List<PosterTemplate> findPosterTemplateByIds(List<String> templateIds);

    Page<PosterTemplate> findBypage(Map<String, Object> params, Pageable initPage);
}
